/*
 * 文 件 名:  ChargingSession
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/12/22
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.charging.model;

import java.time.LocalDateTime;

/**
 * 充电会话
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/12/22]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class ChargingSession {
    private String transactionNo;

    private String fullGunNo;

    private String vin;

    private String batteryType;

    private double ratedCapacity;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private LocalDateTime lastUpdateTime;

    private double startEnergy;

    private double currentEnergy;

    private double totalEnergy;

    private double currentPower;

    private int currentSoc;

    private int finalSoc;

    private int chargingTime;

    public String getTransactionNo() {
        return transactionNo;
    }

    public void setTransactionNo(String transactionNo) {
        this.transactionNo = transactionNo;
    }

    public String getFullGunNo() {
        return fullGunNo;
    }

    public void setFullGunNo(String fullGunNo) {
        this.fullGunNo = fullGunNo;
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public String getBatteryType() {
        return batteryType;
    }

    public void setBatteryType(String batteryType) {
        this.batteryType = batteryType;
    }

    public double getRatedCapacity() {
        return ratedCapacity;
    }

    public void setRatedCapacity(double ratedCapacity) {
        this.ratedCapacity = ratedCapacity;
    }

    public LocalDateTime getStartTime() {
        return startTime;
    }

    public void setStartTime(LocalDateTime startTime) {
        this.startTime = startTime;
    }

    public LocalDateTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }

    public LocalDateTime getLastUpdateTime() {
        return lastUpdateTime;
    }

    public void setLastUpdateTime(LocalDateTime lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    public double getStartEnergy() {
        return startEnergy;
    }

    public void setStartEnergy(double startEnergy) {
        this.startEnergy = startEnergy;
    }

    public double getCurrentEnergy() {
        return currentEnergy;
    }

    public void setCurrentEnergy(double currentEnergy) {
        this.currentEnergy = currentEnergy;
    }

    public double getTotalEnergy() {
        return totalEnergy;
    }

    public void setTotalEnergy(double totalEnergy) {
        this.totalEnergy = totalEnergy;
    }

    public double getCurrentPower() {
        return currentPower;
    }

    public void setCurrentPower(double currentPower) {
        this.currentPower = currentPower;
    }

    public int getCurrentSoc() {
        return currentSoc;
    }

    public void setCurrentSoc(int currentSoc) {
        this.currentSoc = currentSoc;
    }

    public int getFinalSoc() {
        return finalSoc;
    }

    public void setFinalSoc(int finalSoc) {
        this.finalSoc = finalSoc;
    }

    public int getChargingTime() {
        return chargingTime;
    }

    public void setChargingTime(int chargingTime) {
        this.chargingTime = chargingTime;
    }
}